\version "2.11.62"
\include "../global-op2.ly"


violaone = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 1"
  \clef alto \key d \major \time 2/2
 
\relative c' {
  \set Score.defaultBarType = empty
  \cadenzaOn
  \partial 32 s32
  \acciaccatura { a16[ b cis] }
  \cadenzaOff
  \set Score.defaultBarType = "|"

  \tempo "Vivace" 2 = 96
d4)-.\f^4 d8^0 e fis4-.\upbow d-.\upbow g-. g8 fis e2 
cis8^3 d^0 e^1 cis d e cis e fis4-. fis8 e d4 a\glissando(
\noBreak
d4)-.^2 d8^0 e^1 fis4-.\upbow d-.\upbow g b d cis8 b
a b a fis e4 a,8.( b32 cis
\noBreak
d4) a d,2\downbow |

d'4-.\downbow d8 e fis4-.\upbow d-.\upbow g4.-\downbow fis8\downbow e2 
cis8^3 d^0 e^1 cis d e cis e fis4.-\downbow e8\downbow d2
d4-. d8 e fis4-.\upbow d-.\upbow g4 b4 e4.-- d8
cis4-.\downbow a-.\downbow e a,8.(\downbow b32 cis
\noBreak
d4)-. a\upbow <fis' a,>2\fermata |

\key d \minor \time 3/4
\tempo "Meno mosso" 4. = 96
d4.\downbow\p( e8 f!4) g4.( f8 e4)
f4.(^1 g8 a4) bes4.( a8 g4)
a4.( g8 f4) e4.(^1 f8 g4)
f4.( e8 d4) cis2( a4) |

d4.(\mp a8 d e) f4.( a,8 f' g)
a4.( a,8 a' g) f4.( a,8 f' a)
g4.( a,8 g' f) e4.( a,8 e' g)
f4.( a8 f e) d2. |

bes'4.(^3\mf a8 g4) a2( d4)
cis2(^1\< e4)^2 f2.\!
bes,4.(^3 a8^3 g4) a4( g f)
e2(^1\> d4) cis2( a4) |

bes'4.(^3\mf a8^3 g4) a4.(\< cis8^1 d4)^1
f4.(\> e8 d4) cis2(^1 a4)^2\!
bes4.(^3 a8 g4) f4-.^1 g-.^1 a-.
d4-.\> d-.\upbow e-.\upbow
\cadenzaOn
\once \override Script #'script-priority = #-100
  <f^3 a,^2>2.\fermata\! 

\key d \major \time 2/2
\partial 32 s32
\tempo "Tempo primo"
\acciaccatura { a,,16[ b cis] }
\cadenzaOff
d4)-.\f d8 e fis!4-.\upbow d-.\upbow g-. g8 fis e2 
cis8 d e cis d e cis e fis4-. fis8 e d4 a\glissando(
\noBreak
d4)-.^2 d8^0 e^1 fis4-.\upbow d-.\upbow g b e4.\fermata d8
cis4 d e cis d <d\downbow d,>8 <d d,> <d d,>4 r4 |
}

\bar "|."
}   %*****************************************

violatwo = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 2"
  \clef alto \key d \major \time 2/2
\relative c' {
  \partial 32 s32

d8-.\f^0^"arco" r a'^0 a r4
  a->-+^"pizz."^"lh" d,8-.^0^"arco" r a' a r4 a->-+
a,8-. r e' e r4 a->-+ d,8-. r a' a r4 a->-+
d,8-. r a' a r4 a->-+ e4\downbow d b2
a2 cis4 e fis4 a d2 |

r1 a,4.\downbow\trill b8\downbow cis2
r1 a'4.\downbow\trill g8\downbow fis2
r1 b,4 g cis,?4.-- d8
e2 a4 cis8.(\downbow d32 e fis4)-. d\upbow d,2\fermata |

\key d \minor \time 3/4
f!2.\pp\downbow e
d e
f^1 g
a g |

f8(\mp->^3 d f) r8 r4 f8(-> d f) r8 r4
f8(->^1 a f) r8 r4 f8(->^3 d f) r8 r4
e8(-> g e) r8 r4 e8(-> g e) r8 r4
a8(->^3 f a) r8 r4 f8(->^3 d f) r8 r4 |

g'4.(\mf f8 e4) f2(-- f4)--
e4.(\< f8 g4) a2(--\! f4)--
g4.( f8 e4) f2( a,4)
bes2.\> a2. |

g'4.(\mf f8 e4) f2--(\< f4--)\!
<< {d2. e } {s2.\< s2 s4\! } >>
g4.( f8 e4) f4-. e-. d-.
bes-.\> a\upbow-. f\upbow-. d2.\!\fermata

\key d \major \time 2/2 \partial 32
  s32
% \time 2/2   -- do not uncomment; produces bug.
d'8-.\f^0 r a'^0 a r4 a->-+ d,8-. r a' a r4 a->-+
a,8-. r e' e r4 a->-+ d,8-. r a' a r4 a->-+
d,8-. r a' a r4 a->-+ b,4 g cis,?4.\fermata d8
e4 fis g a fis4 <a\downbow d,>8 <a d,> <a d,>4 r4
}

\bar "|."
} %**************************************************

\bookpart {
  \header {
    title="Needle in the Haystack"
    opus = "Op. 2 No. 1"
    fromYear="2002 -"
    compdate="Composed Nov - Dec 2002, edited July 2005."
  }
  \score { \new StaffGroup <<
      \violaone
      \violatwo
  >> }
  \paper {
    %ragged-last-bottom=##f
  }
  %\midi{}
}

