\version "2.11.62"
\include "../global-op2.ly"


violaone = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 1"
  \clef alto \key g \major \time 4/4
  \tempo "Moderato" 4 = 80

\relative c''{
b2\mpdolce^"sul A" c d2. b4 c2 b a2.^0 r4
a2^"sul D" b c2. a4 b4.( c8) b4(-- a)-- g2. r4
b2^"sul A" c d2. b4 e4. e8( fis4 e) d1
c2 d4 c b2 a4(-- g)-- a2 fis g2. r4 |

\bar "||"
\tempo "Poco piu mosso" 4 = 96
e2\f \times 2/3 {e4 fis g} fis2 fis4\upbow a\upbow
e2 \times 2/3 {e4 g e }
d1\downbow \breathe
e2\downbow \times 2/3 {e4 fis g} a2 \times 2/3 {fis4 g a}
\crescTextCresc
b2\< c d dis
e4.\!\ff-> e8-> ~ e e d c b-> c b a-> ~ a a fis4
\crescHairpin
g4. fis8 ~ fis4 e4
d2\> ~ d8
\breathe d8\!\mf b c |

b4-> d8 e-> ~ e d b g
a4-> c8 d-> ~ d c a fis
g4-> b8 c-> ~ c c b8.\downbow a16\downbow
a2. r4 |

g'4->\f a8 b-> ~ b d e-> d 
c8-> d4-> c8 a4.->\upbow a8\upbow
b4-> a8 g-> ~ g g g8. e16
c'2. c8( b) |

a4->\mf g8 d-> ~ d d c'8-> b a4-> fis8 d-> ~ d d c'8-> b a4-> g8 fis-> ~ fis fis b4-> a1\> |

\bar "||"
\tempo "Tempo primo"
b2^"sul A"\mpdolce c d2. b4 c2 b a2.^0 r4
a2^"sul D" b c2. a4 b4.( c8) b4.( c8) b4.( c8) b4--( a--) g2. r4

b2^"sul A" c d2. b4 e4. e8( fis4 e) d4. d8( e4 d)
c2 d4 c b2 c4 d^1 e2 fis^2 \appoggiatura a8
 g1\fermata
}

\bar "|."  }  %********************************
violatwo = \new Staff {
  \set Staff.instrumentName = "Viola 2"
  \set Staff.midiInstrument = "viola"
  \clef alto \key g \major \time 4/4

\relative c''{
g2\mpdolce e4( c) b4( d) g2 a,4( c) d( e) fis2. r4
fis2 d4( b4) a( g) fis2 g2 d4(-- c')-- b2. r4
g2 a b4( d) g2 c,4 c4---> ~ c8 c---> ~ c4 b4( d) g-- fis--
e2. fis4 g2 d c d g,2. r4 |

<g e>8\f <g e>4\upbow <g e>8\upbow <g e>4 <g e>
<a c,>8-> <a c,> <a c,>-> <a c,> <a c,>-> <a c,> <a c,>-> <a c,>
<g e>8 <g e>4\upbow <g e>8\upbow <g e>4 <g e>
<a d,>4 <a d,> <a d,> <a d,> |

<g e>8 <g e>4\upbow <g e>8\upbow <g e>4 <g e>
<fis d'>8 <fis d'>4\upbow <fis d'>8\upbow <fis d'>4 <fis d'> 
\crescTextCresc
<e g>8\< <e g> <e g> <e g> <e a> <e a> <e a> <e a>
<d a'> <d a'> <d a'> <d a'> <dis a'> <dis a'> <dis a'> <dis a'> |

<e b'>4\!\ff-> <e b'>8 <e b'>-> ~ <e b'> <e b'>4.->
\crescHairpin
<fis a>4-> <fis a>8 <fis a>-> ~ <fis a> <d a'>4.->
<e b'>4-> <e b'>8 <e b'>-> ~ <e b'> <e b'>4.->
<fis a>4-> <fis a>8 <fis a>->\>\downbow ~ <fis a>2 \breathe |

g8->\!\mf\downbow g4 g8-> g4 d8 d
fis8-> fis4 fis8-> fis4 d8 d
e8-> e4 e8-> ~ e4 c4
d8 d4\upbow d'8\upbow d2 ~ |

d4. g,8-> ~ g2
e2-> fis2-> 
g4.-> b8-> ~ b2
a4 g4 fis4 r4 |

c8-> c4 c8-> ~ c2 d8-> d4 d8-> ~ d2
d'8-> d4 a8-> a4 c4-> d8\> d4 d8 ~ d2 |

%\tempo 4=80
\bar "||"
g2\mpdolce e4( c) b4( d) g2 a,4( c) d( e) fis2. r4
fis2 d4( b4) a( g) fis2 g2 e c d4(-- c')-- b2. r4
g2 a b4( d) g2 c,4 c4---> ~ c8 c--->  ~ c4 b4 b--->  ~ b8 b--->  ~ b4
a4 a4--->  ~ a8 a--->  ~ a4 g4 g2 b4 c2 a4--( d--) b a g2\fermata |
\bar "|."
}
}


\bookpart {
  \header {
    title = "Shake it!"
    opus = "Op. 2 No. 2"
    fromYear="2004 -"
    compdate="Composed Feb - Mar 2004, edited July 2005."
  }
  \score { \new StaffGroup <<
      \violaone
      \violatwo
  >> }
  \paper {
    %ragged-last-bottom=##f
  }
  %\midi{}
}

