\version "2.11.62"
%%  This file defines the title pages and dedications for my publications.

%%  DEFINE
% bkTitle
% bkSubTitle (optional)
% bkComposer
% bkOpus
% bkFromYear
% bkToYear
\header{
  bkTitle = \bkTitle
  bkSubTitle = \bkSubTitle
  bkComposer = \bkComposer
  tagline = ""
}
% title page for book
% \paper{
titlePage = \markup{
  \override #'(baseline-skip . 8)
  \column {
    \hspace #1
    \hspace #1
    \hspace #1
    \override #'(baseline-skip . 1)
    \column {
      \fill-line {
        \fontsize #8
        \bold
        \fromproperty #'header:bkTitle
      }
      \hspace #1
      \override #'(baseline-skip . 3)
      \fill-line {
        \fontsize #4
        \fromproperty #'header:bkSubTitle
      }
      \hspace #1
      \hspace #1
      \fill-line {
        \fontsize #3
        \italic
        \fromproperty #'header:bkComposer
      }
      \hspace #1
      \hspace #1
      \hspace #1
      \hspace #1
      \fill-line {
        \fontsize #4
        \bkInst
      }
    }
	}
}

%  \\epsfile #X #10 #"logo.eps"

%#(define-public book-title (marked-up-title 'titlePage))
%}
philosophy=\markup{
\fill-line{
\override #'(box-padding . 1.0)
\override #'(line-width . 90)
\box \column{\justify {
This music WILL SOON BE placed under a copyright license which
allows modification, in addition to copying and distribution.  This
is no accident; I strongly encourage modification of my works.}
\hspace #1
\justify{
As classically trained musicians, we are taught that the composer’s
intent is most important part of the music.  We are taught how to
interpret music so that we can produce exactly what (we think) the
composer intended, rather than whatever we think sounds good.}
\hspace #1
\justify{
It is this composer’s wish that you place no value on his
wishes.  These pages provide a starting point for you to make music;
nothing more, nothing less.  If you enjoy playing this music as it
is printed then by all means do so.  But if you would like to
change anything, feel no hesitation to disregard the “Composer’s
Intent.”}
}}
}
withlily=\markup{
\smaller
\override #'(line-width . 95)
\justify{
These scores were created with GNU/LilyPond 
#(ly:export (string-append "version " (lilypond-version)))
\hspace #-1 , an open-source music engraving program.  To
download GNU/LilyPond or find out more, visit
\with-url #"http://lilypond.org/" http://lilypond.org/
}}

published= \markup{ \column {
\larger \line{ \italic \bkTitle \hspace #-1 , \bkOpus \hspace #-1 . \hspace #0.5 © 
\hspace #0.2 \bkComposer \bkFromYear \bkToYear \hspace #-1 .}
\smaller
\line{ Published on the World Wide Web at \with-url #"http://percival-music.ca/" http://percival-music.ca/}
\hspace #1
\override #'(line-width . 100)
\justify {This work WILL BE released under the Creative Commons Attribution-ShareAlike 2.5 License.
This license allows free copying, modification, and public performance, provided that the work is attributed to me and that you distribute the result in a similar manner.  To see details about this license, visit 
\with-url #"http://creativecommons.org/licenses/by-sa/2.5" http://creativecommons.org/licenses/by-sa/2.5/
}
}}




%\book{
%\markup{
%\column {
%\hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1
%\hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1
%\hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1 \hspace #1
%  }}
inside=\markup{
\column {
  \hspace #1
\comment
  \hspace #1
  \hspace #1
  \hspace #1
  \hspace #1
  \hspace #1
\philosophy
  \hspace #1
  \hspace #1
  \hspace #1
  \hspace #1
  \hspace #1
\withlily
  \hspace #1
  \hspace #1
  \hspace #1
\published
}
}

% }

