\version "2.11.62"
% A4: 210 x 297 mm
% USletter: 215.9 x 279.4 mm
% => Difference: letter is 5.9mm wider, A4 is 17.6mm taller

\paper{
  min-vertical-margins = 10\mm
  % to be safe for 3-hole punches
  %min-horizontal-margins = 15\mm
  min-horizontal-margins = 20\mm

  #(define is-letter? (= paper-width (* 8.5 in)))
  % VERTICAL
  % a4 needs an extra 8.8mm on both sides
  #(define (letter-margin-height min-margin)
    (if is-letter?
        (+ min-margin (* 0 mm))
        (+ min-margin (* 8.8 mm))))
  top-margin = #(letter-margin-height min-vertical-margins)
  bottom-margin = #(letter-margin-height min-vertical-margins)

  % HORIZONTAL 
  % letter needs an extra 2.95mm on both sides
  #(define (letter-margin-width min-margin)
    (if is-letter?
        (+ min-margin (* 2.95 mm))
        (+ min-margin (* 0 mm))))
  left-margin = #(letter-margin-width min-horizontal-margins)
  right-margin = #(letter-margin-width min-horizontal-margins)
  line-width = #(- paper-width (+ left-margin right-margin))

}

