\version "2.11.64"
\include "../global-op2.ly"

violaone = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 1"
  \clef alto \key c \minor \time 3/4
  \tempo "Moderato" 4=120

\relative c'{
ees4.^1\f d8^0 c4^3 c d ees g f4. ees8 d2.
ees4.^3 d8 c4 c d ees c' c ( b) g2 g4
aes2( b4) c2( ees,4)^1 f2( d'4) c2 c,8 d
ees4 g4. f8 ees4 g4. ees8 d4 c b c2.^2 \breathe

\clef treble
ees'4.^3\f d8 c4 c d ees^2 g f4. ees8 d2.
ees4.^3^"sul D" d8 c4 c d ees c'^4^"sul A" c( b) g2 g4^1
aes2^1 ( b4) c2( ees,4)^2^"sul D" f2^3( d'4)^4^"sul A"
c2 c,8^1^"sul A" d
ees4^2 g4. f8 ees4 g4. ees8 d4 c^"sul D" b c2. \breathe

r4 g'4.^1\mf^"sul A" aes8 g4 f ees ees c4^1 c'^4 b2.^3
r4 g4.\downbow aes8 g4 f ees ees g4. aes8 b2 b4
d,2.^1 ees aes^4 g
r4 ees\downbow^4 d c4. d8 c4 b aes g ees2. \breathe
}

\clef alto
\relative c''{
c2.\upbow\mpespr d ees d
c bes aes g2 g4
aes2. g f ees
ees2.^"sul G" c b4 c f ees2. \breathe

ees4.^1\mp^"sul D" d8^0 c4^3 c d ees g f4. ees8 d2.
ees4.^3 d8 c4 c d ees c' c ( b) g2 g4
aes2( b4) c2( ees,4)^1 f2( d'4) c2 c,8 d
ees4 g4. f8 ees4 g4. ees8
d4^"rit" c b c2.
}
\bar "|."} %*********************************
violatwo = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 2  "
  \clef alto \key c \minor \time 3/4

\relative c'{
<c, g'>2\mf^\markup{ \bold {molto pesante}} <c g'>4 <c g'>2 <c\upbow g'>4 <c\upbow g'>4 <c g'>2 <g' d'>2.
<c, g'>2 <c g'>4 <c g'>2 <c\upbow g'>4 <c\upbow g'>4 <c g'>2 <g' d'>2.
<f aes>2. <ees c'> <d b'> <c ees'>^3
<c g'>2 <c g'>4 <c g'>2 <c\upbow g'>4 <g'\upbow d'>4 <g d'>2 <c, g'>2. \breathe

r8 g'\mf( c^1 d ees d) r8 g,( c^1 d ees d)^0
ees(^1 f g f ees c) b( a g a b d)
r8 g,( c d ees d) r8 g,( c d ees d)^0
ees( f g f g c) b( c d c d^1 ees)
f(\downbow^3 d)^1 b^3 d b d
ees(\upbow^2 c)^4 g^1 c g c 
d(\downbow^1 b)^3 f^2 b f b c(\upbow g) ees g ees d
r8 g,( c^1 d ees d) r8 g,( c^3 d ees c)
d( b aes g f d) c2. \breathe
}

\relative c'{
ees4.^1\f d8^0 c4^3 c d ees g f4. ees8 d2.
ees4.^3 d8 c4 c d ees c' c ( b) g2 g4
aes2( b4) c2( ees,4)^1 f2( d'4) c2 c,8 d
ees4 g4. f8 ees4 g4. ees8 d4 c b c2. \breathe

r8 ees,\mp\< g c d ees f\> g aes g f d 
c\< b aes g g aes g\> aes g f ees d\!
r8 ees\< g c d c d ees f ees d bes
c\> bes aes g aes c b\< c d c b g
f\> g aes b c d ees\< d c d c g
aes\> b c d ees aes g\< aes g f ees d\!
c g ees g c g aes g f ees d ees
f8\> d ees g aes b c2.\!

}

\relative c{
r8 ees\p( g ees g ees) r8 ees( g ees g ees) r8 c( ees c ees c) r8 d( f d f d) 
r8 ees( g ees g ees) r8 ees( g ees g ees) r8 c( ees c ees c) r8 d( g d g d) 
r8 f( b f b f) r ees( c' ees, c' ees,) r d( b' d, b' d,) r c( g' c, g' c,)
r8 g'( ees g ees g) r8 g( ees g ees g)
%f( d) ees( c) d( b') c2.
d'(^"rit" b aes) g f d c2.
}

\bar "|."} %****************************************


\bookpart {
  \header {
    title="Peasant Dance"
    opus = "Op. 2 No. 6"
    fromYear="2003 -"
    compdate= "Composed Jan 2003, edited July 2005."
  }
  \score { \new StaffGroup <<
      \violaone
      \violatwo
  >> }
  \paper {
    %between-system-padding = #1.0
    between-system-padding = #0.1
    ragged-last-bottom=##f
  }
  %\midi{}
}

