\version "2.11.62"
\include "../global-op2.ly"

violaone = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 1  "
  \clef alto \key e \minor \time 3/4
  \tempo "Vivace" 2.=88

\relative c'{
R2.*8

e2\f b'4 b2 g8( fis)
e4 b' cis d cis b
e,2 b'4 b2 fis8( e)
d4 e fis a fis d
e2 b'4 b2 g8( fis)
e4 b' cis d a d,
e4 fis g fis e d
e2. <e b>

\grace{g,16}
e'2\p b'4 b2 g8( fis)
e4 b' cis d cis b
e,2 b'4 b2 g8( e)
d4 e fis a fis d
e2 b'4 b2 g8( fis)
e4 b' cis d2\upbow d4\upbow
\clef treble
e4\< d e fis e fis
g fis g a g a

b2\!\ff-> b4-> ~ b2 b8( a)
g4 a g fis2 d4
e2 e8( fis) g4 fis e
d2 fis4 a fis d
e2-> e4-> ~ e2 e8( g)
fis4 e d e2 b4
\clef alto
a4 b a g2\upbow fis4\upbow
e2.\> <e b>

e2\!\mf-> e4-> r4 b'2->
r4 c2-> c2-> c4->
e,2-> e4-> r4 b'2->
r4 d2-> a2-> c4->
e,2-> e4-> r4 b'2->
r4 c-> a b2-> a4
g-> a r fis-> d r
e2.-> R2.

e2\mplegato( fis4) g2( e4)
d2( a'4) c2( d4)
e,2( fis4) g2( e4)
d2( c4) d( c b)
a2( b4) c2( a4)
g2( a4) b2--( b4--)
c4\<( d e) fis( e d)
e( fis g) fis( g a\!)

b2\f-> e,4-> ~ e b'2->
d2-> a4-> ~ a c2->
b2-> e,4-> ~ e b'2->
a4-> fis e d-> fis\upbow a\upbow
b2-> e,4-> ~ e b'2->
d4-> c b a2-> a4
g4-> a b c->\> b a 
b a g a g fis\!

e2\mf--( b4--) b2--( e4--)
d4 c b a b d
e2--( b4--) b2--( e4--)
d4 e fis a g fis
e2--( b4--) b2--( e4--)
d4 e d b2--( b4--)
a4 b a g2--( fis4--)
e2. e

%{
e'4\mp e fis g g b a a c d d c
e, e g b b a fis fis e d d b
e e fis g g a b b c d d e 
fis fis e d c b8( a) g4 g fis e2.
%}

%v1
e'2\p b'4 b2 g8( fis)
e4 b' cis d cis b
e,2 b'4 b2 g8( e)
d4 e fis a fis d
e2 b'4 b2 g8( fis)
e4 b' cis d cis b
cis b a b a g
a g fis g fis dis

e4\pp^\markup{ \italic brushed} e fis g g e
d d a' c c c
e, e fis g g e
d d c d c b
a a a8( b c4) b a
g g g8( a b4) a g
fis4 g a fis fis d4
e4 e\upbow e\upbow e r r
}
\bar "|." } %********************************************
violatwo = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 2  "
  \clef alto \key e \minor \time 3/4

\relative c''{
<g, c,>2\f---. <d' g,>4---. <a' d,>2---. <d, g,>4---.
<g, c,>2---. <d' g,>4---. <a' d,>4---. <a d,>---.\upbow <a d,>---.\upbow
<g, c,>2---. <d' g,>4---. <a' d,>2---. <d, g,>4---.
<g, c,>2---. <d' g,>4---. <a' d,>4---. <a d,>---.\upbow <a d,>---.\upbow

g,2.\mf e e4---. e---. e---. e^"simile" e e 
g2. e d4 d d fis fis fis
g2. e g4 g g a a a
b2. a g2. <e g>

g2.\p e g4 e e b' e, e
g2. e fis4 fis fis fis fis fis
g2. e e4 e e fis2 fis4
g2.\< a b fis

<e b'>2.\!\ff <e b'> <e b'> <d a'>
<e b'> <e b'> <d a'> <d a'>
<e b'> <e b'> <d a'> <e b'>
<d a'> <e b'> <e b'>\> <e b'>

g2.\!\mf-> e-> d-> d->
g2.-> e-> d-> d->
g-> e-> c-> d->
e-> fis-> g-> <g e>

%\once \override DynamicLineSpanner #'padding = #1.5
g2.\mplegato ~ g a ~ a
g ~ g fis d
fis ~ fis e ~ e
e(\< fis) g d

<g e' b'>2\f r4 R2.
<fis a d>2 r4 R2.
<g e' b'>2 r4 R2.
<fis a>4-. r2 <fis a>4-. r2 
<g e' b'>2 r4 R2.
<fis a>4-. r2 <fis a>4-. r2
<e g>4-. r2 <d a'>4-.\> r2
<e b'>4-. r2 <fis d'>4-. r2

g4-.\mp g-. r g-. g-. r
fis-. fis-. r fis-. fis-. r
g-. g-. r g-. g-. r
a-. a-. r fis-. fis-. r
g-. g-. r g-. g-. r 
fis-. fis-. r fis-. fis-. r
fis-. fis-. r b-. b( d)
e-. e-. r <e b'>-. <e b'>-. r

g,2.\mf e d4 d d d d d
g2. e a4 a a a a a
g2. e d4 d d fis2 fis4
g2. fis e2. b'2 a4

%\once \override DynamicLineSpanner #'padding = #1.5
e4\pp--( e-- e--) e--( e-- e--) fis--( fis-- fis--) d--( d-- d--) 
e--( e-- e--) e--( e-- e--) fis--( fis-- fis--) d--( d-- d--)
fis--( fis-- fis--) fis--( fis-- fis--) e--( e-- e--) e--( e-- e--)
%_\markup{ \strut }
d'--( d-- d--) d--( d-- fis--) g--( g-- g--) g r r
}
\bar "|." } %***********************************************


\bookpart {
  \header {
    title = "Dance Perfectum"
    opus = "Op 2 No 7"
    fromYear="2004 -"
    compdate= "Composed Feb - Mar 2004, edited July 2005."
  }
  \score { \new StaffGroup <<
      \violaone
      \violatwo
  >> }
  \paper {
    between-system-padding = #0.01
    ragged-last-bottom=##f
  }
  %\midi{}
}

