\version "2.11.62"
\include "../global-op2.ly"

violaone = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 1"
  \clef alto \key g \minor
  \compoundTimeSignature #'(5 8) #'(3 2)
%  \once \override Score.MetronomeMark #'self-alignment-Y = #0.7
  \tempo "Vivace" 4=144

\relative c''{
R8*5
R8*5
R8*5
\time 3/4 R2.
\time 5/8
%\once \override TextScript #'extra-offset = #'(1.6 . -0.5)
d4.\mp\<\upbow^\markup{\italic {molto espr}} ~ d4 ~ d4. \grace { \slurUp c16[( d] } c8 d)\!
\slurNeutral
 d8--\f\> bes g d4 ~ d4. ~ d4\!
\time 3/4
ees4\mp\upbow g4.->( ees8) g8\< bes ees g\!\f(\> ~ g ees8)\!
\time 5/8
d4.\p\< ~ d4 ~ d4.\mf\> ~ d4

f4.\mp\<\downbow ~ f4 ~ f4. e8 d
e8\f\>( c a) e4
~ e4. ~ e4
d8\p\<\upbow e f a4\downbow
\time 3/4
f4\>\downbow e c
\time 5/8
a4.\p\upbow ~ a4 ~ a4.\< a16(\downbow c e a\!)

d4.\mf\upbow ~ d4 ~ d4. \grace {\slurUp c16[\<( d] } c8 d)
\slurNeutral
d8 e f d4\f\> ~ d4. ~ d4
\time 3/4
g,8\mp\< a bes4.\upbow a8\upbow
bes4 d4 e4\f
\time 5/8
f4.\psubito\<\upbow ~ f4 ~ f4.\!\> ~ f4
e4.\p\< ~ e4 ~ e4. f8 e

d8\f( f
a) g4 ~ g4.\> ~ g4
\time 3/4
f8\!\mp\upbow e d2
c8\> a bes g a e\!

\time 5/8
d4.\p\downbow ~ d4\upbow\< ~ d4. ~ d4
}
\relative c''{
  \compoundTimeSignature #'(5 8) #'(2 3)
c4\f\downbow d4. ees4 f4.
g4 f4. ees4 d4.

<<{c4 d4. ees4 f4.
g4 aes4. g4 f4.}
{ees,4 f4. g4 aes4.
bes4 c4. bes4 aes4.}>>

  \compoundTimeSignature #'(5 8) #'(3 2)
\key a \minor
e'!8\mf->\downbow( a,!)-. a-. e'(-> a,)-. c8(-> a)-. a-. c(-> a)-.
d8(-> a)-. a-. d(-> a)-. \time 3/4 e'(-> a,) d(-> a) b(-> a)
\time 5/8
e'8(\mp-> a,)-. a-. e'(-> a,)-.
c8(^"simile" a) a c( a)
d8( a) a d( a) \time 3/4 e'( a,) d( a) b( a)
\time 5/8
e'8( a,) a e'( a,) c8( a) a c( a)
\time 2/4
d8( a) e'( a,) \time 3/4 f'( a,) e'( a,) d( a)

\time 5/8
e'8(\upbow a,) a e'( a,) c8( a) a c( a)
d8( a) a c( a) b( a) c( a) d( a)
e'8(\upbow a,) a e'( a,) c8( a) a c( a)
b(\< a) a c( a)
\time 2/4 d( a) dis( a)\!

e'4.\fdolce(\downbow d4) a4.( b4) d4.( c4)
\time 3/4 b4 a g

\time 5/8 a4.( g4)
\time 3/4 e4 f g
\time 6/8 a4. b 
\time 7/8 c4. d4^1\upbow d16(\upbow f a^1 b)

\clef treble
\time 5/8 c4.(\downbow\ffdolce b4)
\time 3/4 a4 b c
\time 6/8 b4.^3_\markup{ \italic { dim poco a poco }} a g f^3
\clef alto
\time 5/8 e4.( d4)
\time 3/4 c4 b a
\time 6/8 g4. f e f^1

\time 5/8 <c' a>4.\f\downbow ~ <c a>4
\time 3/4 <c a>4 <c a> <c a>
\time 6/8 <d f,>4. <d f,> <d f,>4. <d f,>

\time 5/8 <e a,>4.\< ~ <e a,>4
<e c>4. ~ <e c>4
<f d>4. ~ <f d>4
\time 3/4 <f d>4. << <f d> {s8 s s\!} >>

}

\relative c''{
\key g \minor
\time 5/8 R8*15
\time 3/4 R4*3
%\pageBreak

\time 5/8 g4.\mf\<\downbow a4 bes4. ~ bes4 ees4.\!\> d4\!
\time 3/4 c4\< cis d
\time 5/8 bes4.\!\>( ~ bes8 a) g4. ~ g4
\time 6/8 ees4.\! d
\time 3/4 c4\downbow bes a
g2\< g16(\downbow bes d fis)\!
\time 5/8 g4.\upbow ~ g4
\time 6/8 ees4.\downbow f g a
\time 5/8 bes4.\>( ~ bes8 a) g4.\! ~ g4 ees4. d4
\time 3/4 c4\< d a'8 c\!
\time 5/8 bes4.\mf\<( ~ bes8 c8) d8 c bes8 ~ bes4\f
\time 3/4 a8->\downbow a( bes) c-> ~ c bes8
a4-.---> a-.---> fis-.--->
\time 6/8 g4. a4 bes8
\time 5/8 d4. ~ d4
\time 6/8 ees4.\upbow d
\time 3/4 c4 bes a

\time 5/8
g4.\<\downbow ~ g4
a4. ~ a4
bes4. ~ bes4
\time 3/4
c4 d fis
g8-.-> g-.->\ff r4 r
\bar "|."

}

\bar "|."
}   %*********************************
violatwo = \new Staff {
  \set Staff.midiInstrument = "viola"
  \set Staff.instrumentName = "Viola 2"
  \clef alto \key g \minor
  \compoundTimeSignature #'(5 8) #'(3 2)

\relative c'' { 
 g,8(\mf-> d')-. d-.   a-> ( d)-.   bes(-> d)-. d-.   a-> ( d)-. 
 g,8(-> d')-. d-.   a-> ( d)-. \time 3/4 bes(-> d) a(-> d)   aes-> ( d)

\time 5/8 
 g,8(\mp-> d')-. d-.   a-> ( d)-.   bes(^"simile" d) d   a ( d) 
 g,8( d') d   a ( d)   bes( d) d   a ( d)
\time 3/4
 ees,8(-> bes')-. bes-. bes8-. f8->( bes)-.   g8(-> bes)-. bes-. bes-. f8(-> bes)-.
\time 5/8 
 g8(-> d')-. d-.   a-> ( d)-.   bes(^"simile" d) d   a ( f)

 d( a') a e( a) f( a) a e( e')
 a,( e') e b( e) c( e) e b( e,)
 d( a') a f( a)
\time 3/4
 d,( a') c,( a') e( c')
\time 5/8
 a( e') e b( e) c( e) e b( e)

% repeat beg again
 g,8( d') d   a ( d)   bes!( d) d   a ( d) 
 g,8( d') d   a ( d)   bes( d) d   a ( d)
\time 3/4
 ees,!8 ( bes') bes bes8 f8 ( bes)   g8( bes) bes bes f8( bes)
\time 5/8 
 d,( a') a e( a) f( a) a e( e')
 a,( e') e b( e) c( e) e b( e)

a,( d) d g,( e')
g,( e') e g,( e')
\time 3/4
d( e f) d a d
e e d d c c,

\time 5/8 
 d8(-> a')-. a-. e(-> a-.) f(-> a)-. a-. e(-> a)-.
}

\relative c' {

  \compoundTimeSignature #'(5 8) #'(2 3)
%#(revert-auto-beam-setting '(end * * 5 8) 3 8 'Score)
%#(override-auto-beam-setting '(end * * 5 8) 2 8 'Score)
g(-> c,)-. g'(-> d)-. d-. g(-> ees!)-. g(-> d)-. d-.
g(^"simile" c,) g'( d) d g( ees) g( d) d
g( c,) g'( d) d g( ees) g( d) d
g( c,) g'( d) d g( ees) g( d) d
%#(revert-auto-beam-setting '(end * * 5 8) 2 8 'Score)
%#(override-auto-beam-setting '(end * * 5 8) 3 8 'Score)
  \compoundTimeSignature #'(5 8) #'(3 2)
\key a \minor
R8*5 R8*5 R8*5 R8*6
\pageBreak

 a'4.\downbow\fespr c4 a4.\> ~ a4
 f4.\!\mf e8 f
a4\< b d

\stemDown
 c4.\!\>( ~ c8 b) \stemNeutral a4. ~ a4
\time 2/4
 f4\!\<\upbow a4
\time 3/4
 d4 e f

\time 5/8
 a4.\f\downbow g4\> e4. ~ e4\!
 d4.\< e4
\time 3/4
 f4 e b
\time 5/8
 c4.\!\>( ~ c8 b) a4. ~ a4\!
 f4.\< e4\!
\time 2/4 d4 f4

%zzz
#(score-override-auto-beam-setting '(end * * 7 8) 3 8)
#(score-override-auto-beam-setting '(end * * 7 8) 5 8)
#(score-override-auto-beam-setting '(end * * 7 8) 7 8)
#(score-override-auto-beam-setting '(end * * 3 4) 1 4)
#(score-override-auto-beam-setting '(end * * 3 4) 2 4)

\time 5/8
<a c,>8\f\downbow-.-> <a c,>\upbow-. <a c,>\upbow-. <a c,>\downbow-.-> <a c,>\upbow-.
<a c,>\downbow-.-> <a c,>\upbow-. <a c,>\upbow-. <a c,>\downbow-.-> <a c,>\upbow-.
<a d,>^"simile" <a d,> <a d,> <a d,> <a d,>
<a d,>\downbow <a d,>\upbow <a d,>\downbow <a d,>\upbow <a d,>\downbow <a d,>\upbow
<c e,>\downbow <c e,>\upbow <c e,>\upbow <c e,> <c e,>
<c e,> <c e,> <c e,> <c e,> <c e,> <c e,>
<c f,>\downbow <c f,>\upbow <c f,>\upbow <c f,> <c f,> <c f,>
<c f,>\downbow <c f,>\upbow <c f,>\upbow <c f,>\downbow <c f,>\upbow <c f,>\downbow <c f,>\upbow

<e a,>8 <e a,> <e a,> <e a,> <e a,>
<e a,> <e a,> <e a,> <e a,> <e a,> <e a,>
<f a,> <f a,> <f a,> <f a,> <f a,> <f a,>
<f a,> <f a,> <f a,> <f a,> <f a,> <f a,>
<a c,> <a c,> <a c,> <a c,> <a c,>
<a c,>\downbow <a c,>\upbow <a c,>\downbow <a c,> <a c,> <a c,>
<a d,>\downbow <a d,>\upbow <a d,>\upbow <a d,> <a d,> <a d,>
<a d,> <a d,> <a d,> <a d,> <a d,> <a d,>

e\downbow e\upbow e\upbow d\downbow d\upbow
c\downbow c\upbow b\downbow b a a
g\downbow g\upbow g\upbow f f f
e e e f f f

e\< e e d d
e e e g g
a a a c c
d d e e f f\!
}
#(revert-auto-beam-setting '(end * * 3 4) 1 4 'Score)
#(revert-auto-beam-setting '(end * * 3 4) 2 4 'Score)

\relative c''{
\key g \minor
g8(\ff^> g,)-. g-. g'(-> g,)-.
ees'!(^"simile" g,) g d'( g,)
c( g) g d'( g,)
ees'( g,) f'( g,) fis'( g,)

g'(\mf g,) g g'( g,)
ees'( g,) g d'( g,)
c( g) g d'( g,)
ees'( g,) f'( g,) fis'( g,)

g'( g,) g f'( g,)
d'( g,) g d'( g,)
c( g) g bes( g) g 
ees'(\downbow g,) d'( g,) ees'( g,)

d'(\upbow g,) d'( g,) d'\upbow g,\downbow
d'(\upbow g,) g d'( g,)
c\downbow( g) g d'( g,) g
ees'( g,) g f'( g,) g

g'( g,) g g'( g,)
d'( g,) g d'( g,)
c( g) g bes( g)
a(\upbow g) bes( g) c( g)

d'(\downbow g,) g d'( g,)
g'(\upbow g,) g g'( g,)
c(\downbow d) g,( ees') g,( d')
c(\upbow g) c( g) a( g)

bes(\downbow g) g c( g) g
d'( g,) g d'( g,)
g'(\upbow g,) g f'( g,) g
ees'(\upbow g,) d'( g,) fis'( g,)

g'(\downbow\< g,) g g'( g,)
f'( g,) g f'( g,)
ees'( g,) g ees'( g,)
d'( g,) c( g) a( g)
g-.-> g-.->\ff r4 r
}
\bar "|." }  %****************************************


\bookpart {
  \header {
    title = "Beating Irregularly"
    opus = "Op. 2 No. 8"
    fromYear="2004 -"
    compdate= "Composed Mar - Apr 2004, edited July 2005."
  }
  \score { \new StaffGroup <<
      \violaone
      \violatwo
  >> }
  \paper {
    page-count = 4
    %between-system-padding = #0.4
    ragged-bottom = ##t
    ragged-last-bottom = ##f
  }
  %\midi{}
}

