\version "2.11.62"

%%% dolce, espr, legato
dolce  = \markup{\italic dolce}
espr   = \markup{\italic espr.}
legato = \markup{\italic legato}

#(define (make-dynamic-extra dynamic string)
     (make-music
       'AbsoluteDynamicEvent
       'tweaks
         ;; calculate centering for text
         (list (cons (quote X-offset)
           (+ -0.5 (* -0.5 (string-length dynamic)))))
       'text
         (markup
           ;; uncomment next line for debugging
           ;;#:box
           #:line(
               dynamic
               #:hspace -0.3
               #:normal-text #:italic string))
      ))


fflegato = #(make-dynamic-extra "ff" "legato")
flegato  = #(make-dynamic-extra "f"  "legato")
mflegato = #(make-dynamic-extra "mf" "legato")
mplegato = #(make-dynamic-extra "mp" "legato")
plegato  = #(make-dynamic-extra "p"  "legato")
pplegato = #(make-dynamic-extra "pp" "legato")

ffdolce = #(make-dynamic-extra "ff" "dolce")
fdolce  = #(make-dynamic-extra "f"  "dolce")
mfdolce = #(make-dynamic-extra "mf" "dolce")
mpdolce = #(make-dynamic-extra "mp" "dolce")
pdolce  = #(make-dynamic-extra "p"  "dolce")
ppdolce = #(make-dynamic-extra "pp" "dolce")
pppdolce = #(make-dynamic-extra "ppp" "dolce")

ffespr = #(make-dynamic-extra "ff" "espr.")
fespr  = #(make-dynamic-extra "f"  "espr.")
mfespr = #(make-dynamic-extra "mf" "espr.")
mpespr = #(make-dynamic-extra "mp" "espr.")
pespr  = #(make-dynamic-extra "p"  "espr.")
ppespr = #(make-dynamic-extra "pp" "espr.")


flegatoespr  = #(make-dynamic-extra "f"  "legato espr.")
mflegatoespr = #(make-dynamic-extra "mf" "legato espr.")

fdolceespr = #(make-dynamic-extra "f" "dolce espr.")


%%% other dynamics
niente = #(make-dynamic-script (markup #:text #:italic #:huge #:bold "n"))

psubito = #(make-dynamic-extra "p" "subito")

fthenp = #(make-music
       'AbsoluteDynamicEvent
       'tweaks
         ;; calculate centering for text
         (list (cons (quote X-offset) -1))
       'text
         (markup
           ;; uncomment next line for debugging
           ;;#:box
           #:line(
	       "f"
	       #:hspace 0
	       #:small #:concat (
	         "2"
		 #:super #:text #:italic "nd" )
	       "p"))
      )

crescTextPoco = {
    \set crescendoText = \markup { \italic "cresc. poco a poco" }
    \set crescendoSpanner = #'text
    \override DynamicTextSpanner #'dash-period = #-1.0
}

decrescTextPoco = {
    \set decrescendoText = \markup { \italic "decresc. poco a poco" }
    \set decrescendoSpanner = #'text
    \override DynamicTextSpanner #'dash-period = #-1.0
}


